Subject: [apps-discuss] RFC 6839 structured suffix support in actual software

From: "Rushforth, Peter (NRCan/RNCan)" <[email-masked]>
Date: Wed, 20 Jan 2016 20:44:21 +0000

Hi,

Can anyone please identify some available software which implements the behaviour described in section 2 of RFC 6839,  specifically, generic processing of a media type based on its structured suffix?

Any structured suffix will do.

Thank you.

Peter Rushforth

---

From: Julian Reschke <[email-masked]>
Date: Fri, 22 Jan 2016 08:47:21 +0100

> Any structured suffix will do.

AFAIK, XMLHttpRequest triggers special behavior based on the "+xml" 
suffix; see <https://www.w3.org/TR/XMLHttpRequest/#response-entity-body-0>.

Best regards, Julian

---

From: "Rushforth, Peter (NRCan/RNCan)" <[email-masked]>
Date: Fri, 22 Jan 2016 16:40:36 +0000

Hi Julian,

Thanks for your response.  Indeed, I tested it in Chrome and it does appear to work like that.

Regards,
Peter Rushforth

> -----Original Message-----
> From: Julian Reschke [mailto:[email-masked]]
> Sent: January 22, 2016 02:47
> To: Rushforth, Peter (NRCan/RNCan); IETF Apps Discuss
> Subject: Re: [apps-discuss] RFC 6839 structured suffix support in actual
> software
> 
> > Can anyone please identify some available software which implements the
> behaviour described in section 2 of RFC 6839,  specifically, generic processing
> of a media type based on its structured suffix?
> >